﻿using AutoMapper;
using UnivateProperties_API.Containers.Users;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Helpers
{
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<User, UserDto>();
            CreateMap<UserDto, User>();
            CreateMap<Agency, AgencyDto>();
            CreateMap<AgencyDto, Agency>();
            CreateMap<Individual, UserDto>();
            CreateMap<UserDto, Individual>();
            CreateMap<Individual, Person>();
            CreateMap<Person, Individual>();
        }
    }
}
